umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_DiagramPropertiesPage Class Reference

`#include <ui_diagrampropertiespage.h>`

Inheritance diagram for Ui_DiagramPropertiesPage:

## Public Member Functions
void | setupUi (QWidget *DiagramPropertiesPage)
void | retranslateUi (QWidget *DiagramPropertiesPage)

## Public Attributes
QVBoxLayout * | vboxLayout
QGroupBox * | ui_groupBoxDiagramProperties
QVBoxLayout * | vboxLayout1
QHBoxLayout * | hboxLayout
QLabel * | ui_labelDiagramName
KLineEdit * | ui_diagramName
QHBoxLayout * | hboxLayout1
QHBoxLayout * | hboxLayout2
QLabel * | ui_labelZoom
QSpinBox * | ui_zoom
QLabel * | ui_labelZoomUnit
QSpacerItem * | horizontalSpacer_2
QLabel * | ui_labelWidth
QDoubleSpinBox * | ui_width
QSpacerItem * | horizontalSpacer_3
QLabel * | ui_labelHeight
QDoubleSpinBox * | ui_height
QFrame * | ui_line
QHBoxLayout * | hboxLayout3
QCheckBox * | ui_checkBoxShowGrid
QCheckBox * | ui_snapToGrid
QCheckBox * | ui_snapComponentSizeToGrid
QHBoxLayout * | hboxLayout4
QLabel * | ui_labelGridSpacing
QSpacerItem * | horizontalSpacer
QLabel * | ui_labelX
QSpinBox * | ui_gridSpaceX
QSpacerItem * | spacerItem
QLabel * | ui_labelY
QSpinBox * | ui_gridSpaceY
QFrame * | line
QCheckBox * | ui_autoIncrementSequence
QGroupBox * | ui_groupBoxDocumentation
QGridLayout * | gridLayout
KTextEdit * | ui_documentation

## Member Function Documentation

## ◆ retranslateUi()

void Ui_DiagramPropertiesPage::retranslateUi | ( | QWidget * | DiagramPropertiesPage | ) |
| inline

## ◆ setupUi()

void Ui_DiagramPropertiesPage::setupUi | ( | QWidget * | DiagramPropertiesPage | ) |
| inline

## Member Data Documentation

## ◆ gridLayout

QGridLayout* Ui_DiagramPropertiesPage::gridLayout

## ◆ hboxLayout

QHBoxLayout* Ui_DiagramPropertiesPage::hboxLayout

## ◆ hboxLayout1

QHBoxLayout* Ui_DiagramPropertiesPage::hboxLayout1

## ◆ hboxLayout2

QHBoxLayout* Ui_DiagramPropertiesPage::hboxLayout2

## ◆ hboxLayout3

QHBoxLayout* Ui_DiagramPropertiesPage::hboxLayout3

## ◆ hboxLayout4

QHBoxLayout* Ui_DiagramPropertiesPage::hboxLayout4

## ◆ horizontalSpacer

QSpacerItem* Ui_DiagramPropertiesPage::horizontalSpacer

## ◆ horizontalSpacer_2

QSpacerItem* Ui_DiagramPropertiesPage::horizontalSpacer_2

## ◆ horizontalSpacer_3

QSpacerItem* Ui_DiagramPropertiesPage::horizontalSpacer_3

## ◆ line

QFrame* Ui_DiagramPropertiesPage::line

## ◆ spacerItem

QSpacerItem* Ui_DiagramPropertiesPage::spacerItem

## ◆ ui_autoIncrementSequence

QCheckBox* Ui_DiagramPropertiesPage::ui_autoIncrementSequence

## ◆ ui_checkBoxShowGrid

QCheckBox* Ui_DiagramPropertiesPage::ui_checkBoxShowGrid

## ◆ ui_diagramName

KLineEdit* Ui_DiagramPropertiesPage::ui_diagramName

## ◆ ui_documentation

KTextEdit* Ui_DiagramPropertiesPage::ui_documentation

## ◆ ui_gridSpaceX

QSpinBox* Ui_DiagramPropertiesPage::ui_gridSpaceX

## ◆ ui_gridSpaceY

QSpinBox* Ui_DiagramPropertiesPage::ui_gridSpaceY

## ◆ ui_groupBoxDiagramProperties

QGroupBox* Ui_DiagramPropertiesPage::ui_groupBoxDiagramProperties

## ◆ ui_groupBoxDocumentation

QGroupBox* Ui_DiagramPropertiesPage::ui_groupBoxDocumentation

## ◆ ui_height

QDoubleSpinBox* Ui_DiagramPropertiesPage::ui_height

## ◆ ui_labelDiagramName

QLabel* Ui_DiagramPropertiesPage::ui_labelDiagramName

## ◆ ui_labelGridSpacing

QLabel* Ui_DiagramPropertiesPage::ui_labelGridSpacing

## ◆ ui_labelHeight

QLabel* Ui_DiagramPropertiesPage::ui_labelHeight

## ◆ ui_labelWidth

QLabel* Ui_DiagramPropertiesPage::ui_labelWidth

## ◆ ui_labelX

QLabel* Ui_DiagramPropertiesPage::ui_labelX

## ◆ ui_labelY

QLabel* Ui_DiagramPropertiesPage::ui_labelY

## ◆ ui_labelZoom

QLabel* Ui_DiagramPropertiesPage::ui_labelZoom

## ◆ ui_labelZoomUnit

QLabel* Ui_DiagramPropertiesPage::ui_labelZoomUnit

## ◆ ui_line

QFrame* Ui_DiagramPropertiesPage::ui_line

## ◆ ui_snapComponentSizeToGrid

QCheckBox* Ui_DiagramPropertiesPage::ui_snapComponentSizeToGrid

## ◆ ui_snapToGrid

QCheckBox* Ui_DiagramPropertiesPage::ui_snapToGrid

## ◆ ui_width

QDoubleSpinBox* Ui_DiagramPropertiesPage::ui_width

## ◆ ui_zoom

QSpinBox* Ui_DiagramPropertiesPage::ui_zoom

## ◆ vboxLayout

QVBoxLayout* Ui_DiagramPropertiesPage::vboxLayout

## ◆ vboxLayout1

QVBoxLayout* Ui_DiagramPropertiesPage::vboxLayout1

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_diagrampropertiespage.h